List transactions by member
member, across all accounts associated with that member. Enhanced transaction data may be requested using the
includes parameter. To use this optional parameter, the value should include the optional metadata requested such as repeating_transactions, merchants, classifications, geolocations. For more information, see the Optional Enhancement Query Parameter guide.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique id for a member.
The unique identifier for a user, beginning with the prefix USR-.
Query Parameters
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Filter transactions from this date. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Defaults to 120 days ago if not provided.
Filter transactions to this date (at midnight). This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Defaults to 5 days forward from the day the request is made to capture pending transactions.
Filter transactions from the date the transaction was created. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Maximum date range limit is 6 months.
Filter transaction to the date in which the transaction was created. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Maximum date range limit is 6 months.
Filter transactions from the date in which the transaction was updated. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Maximum date range limit is 6 months.
Filter transactions to the date in which the transaction was updated. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Maximum date range limit is 6 months.
Filter transactions belonging to specified category_guid.
For example, ?category_guid=CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874.
Filter transactions belonging to any specified category_guid[] in url.
For example, ?category_guid[]=CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874.
Filter transactions belonging to specified top_level_category_guid. This must be top level category guid, use category_guid for subcategory guid.
For example, ?top_level_category_guid=CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874.
Filter transactions belonging to any specified top_level_category_guid[] in url. This must be top level category guid(s), use category_guid for subcategory guid(s).
For example, ?top_level_category_guid[]=CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874.
Options for enhanced transactions. This query parameter is optional. Possible additional metadata: repeating_transactions, merchants, classifications, geolocations. The query value is format sensitive. To retrieve all available enhancements, append:
?includes=repeating_transactions,merchants,classifications,geolocations.
The query options may be combined to specific enhancements. For example, to request Repeating Transactions and Geolocation data, use:
?includes=repeating_transactions,geolocations.
- Repeating Transactions: Identifies transactions with predictable recurrence patterns (e.g., Bill, Income, Subscription).
- Merchants: Enriches transactions with merchant name.
- Classifications: Provides more insight into the type of money movement that is occurring on the transaction, whether it be retail or investments.
- Geolocation: Provides geographic metadata.

